Subject: Re: [PATCH RFC] net/phy: fix Marvell PHYs probe failure when HWMON and THERMAL_OF are enabled

From: Andrew Lunn <[email-masked]>
Date: Thu, 19 Sep 2019 04:50:16 +0200

On Thu, Sep 19, 2019 at 12:38:37AM +0300, Peter Mamonov wrote:
> Hello,
> 
> Some time ago I've discovered that probe functions of certain Marvell PHYs 
> fail if both HWMON and THERMAL_OF config options are enabled.

Hi Peter

It probably affects more then Marvell PHYs.

> The root 
> cause of this problem is a lack of an OF node for a PHY's built-in 
> temperature sensor.  However I consider adding this OF node to be a bit 
> excessive solution. Am I wrong? Below you will find a one line patch which 
> fixes the problem.

Your patch look sensible to me.

> I've sent it to the releveant maintainers three weeks 
> ago without any feedback yet.

Could you point me at the relevant mailing list archive?

      Thanks
	Andrew